Subject: Re: bug#75523: Sourcing GDK_PIXBUF_MODULE_FILE prevents icons of native applications on foreign systems to load

From: 宋文武 <[email-masked]>
Date: Sun, 26 Jan 2025 11:53:14 +0800

Simon Streit <[email-masked]> writes:
>> I'm sorry, I do not know why this has recently become a problem for you.
>> This GDK_PIXBUF_MODULE_FILE thing has been in Guix for at least 2 years.
>>
>> I think the best course of action would be to open an issue upstream
>> against gdk-pixbuf, detailing our use case and how the current single
>> entry GDK_PIXBUF_MODULE_FILE variable is a problematic, and throw the
>> idea of having an actual search path of modules, such as
>> GDK_PIXBUF_MODULE_FILES.
>
> You're right.  I should place a note upstream.
>
> For my part this issue is now resolved.  Closing.
>

Hello, just add a note that this issue would be addressed in
https://issues.guix.gnu.org/75795 later.  By using
GUIX_GDK_PIXBUF_MODULE_FILES in guix to avoid influence foreign
programs.

Thanks.